/***************************************************************************\
|*									   *|
|*  pieces.c:	A version of Tetris to run on ordinary terminals,	   *|
|*		(ie., not needing a workstation, so should available	   *|
|*		to peasant Newwords+ users.  This module contains the	   *|
|*		definitions of the pieces.				   *|
|*									   *|
|*  Author:	Mike Taylor (mirk@uk.ac.warwick.cs)			   *|
|*  Started:	Fri May 26 12:26:05 BST 1989				   *|
|*									   *|
\***************************************************************************/

#include "Pieces.h"

/*-------------------------------------------------------------------------*/

struct Piece Pieces[NO_PIECES] = {
  { PIECES_RED,			/* Square piece */
      {
	{{0,0}, {1,0}, {0,1}, {1,1}},
	{{0,0}, {1,0}, {0,1}, {1,1}},
	{{0,0}, {1,0}, {0,1}, {1,1}},
	{{0,0}, {1,0}, {0,1}, {1,1}}
      }
  },
  
  { PIECES_BLUE,			/* Long piece */
      {
	{{0,0}, {0,1}, {0,2}, {0,3}},
	{{-1,1}, {0,1}, {1,1}, {2,1}},
	{{0,0}, {0,1}, {0,2}, {0,3}},
	{{-1,1}, {0,1}, {1,1}, {2,1}}
      }
  },
  
  { PIECES_GREEN,			/* L-shaped piece */
      {
      	{{-1,0}, {0,0}, {0,1}, {0,2}},
	{{-1,1}, {0,1}, {1,1}, {-1,2}},
	{{0,0}, {0,1}, {0,2}, {1,2}},
	{{1,0}, {-1,1}, {0,1}, {1,1}}
      }
  },
  
  { PIECES_YELLOW,			/* Backwards L-shaped piece */
      {
	{{0,0}, {0,1}, {-1,2}, {0,2}},
	{{-1,1}, {0,1}, {1,1}, {1,2}},
	{{0,0}, {1,0}, {0,1}, {0,2}},
	{{-1,0}, {-1,1}, {0,1}, {1,1}}
      }
  },
  
  { PIECES_WHITE,			/* T-shaped piece */
      {
	{{0,0}, {-1,1}, {0,1}, {0,2}},
	{{-1,1}, {0,1}, {1,1}, {0,2}},
	{{0,0}, {0,1}, {1,1}, {0,2}},
	{{0,0}, {-1,1}, {0,1}, {1,1}}
      }
  },
  
  { PIECES_ORANGE,			/* S-shaped piece */
      {
	{{-1,0}, {-1,1}, {0,1}, {0,2}},
	{{0,0}, {1,0}, {-1,1}, {0,1}},
	{{-1,0}, {-1,1}, {0,1}, {0,2}},
	{{0,0}, {1,0}, {-1,1}, {0,1}}
      }
  },
  
  { PIECES_PURPLE,			/* Backwards S-shaped piece */
      {
	{{0,0}, {-1,1}, {0,1}, {-1,2}},
	{{-1,0}, {0,0}, {0,1}, {1,1}},
	{{0,0}, {-1,1}, {0,1}, {-1,2}},
	{{-1,0}, {0,0}, {0,1}, {1,1}}
      }
  },
};

/*-------------------------------------------------------------------------*/
