
/* Tetris v0.4 - Tetris game for VGA PCs running Linux
 * Copyright (C) 1995 Adam P. Jenkins
 *
 * Square.cc: display method for the Square class
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <vga.h>
#include <vgagl.h>

#include "Square.h"

const int Square::BORDER_DARK = 19; 
const int Square::BORDER_LIGHT = 245;

int Square::Width;
int Square::Height;
int Square::Bg;

void Square::display(int x, int y)
{
   if (Active == false) 	// draw square with board background color
   {
      gl_fillbox(x, y, Width, Height, Bg);
   } 
   else 			// draw square with Color
   {
      gl_hline(x,     y,     x + Width - 1, BORDER_LIGHT);	// top border
      gl_hline(x + 1, y + 1, x + Width - 2, BORDER_LIGHT);
      
      gl_hline(x,     y + Height - 1, x + Width - 1, BORDER_DARK); // bottom
      gl_hline(x + 1, y + Height - 2, x + Width - 2, BORDER_DARK);
      
      // left side
      gl_line(x,     y,     x,     y + Height - 1, BORDER_LIGHT);
      gl_line(x + 1, y + 1, x + 1, y + Height - 2, BORDER_LIGHT);

      // right side
      gl_line(x + Width - 1, y,     x + Width - 1, y + Height - 1, BORDER_DARK);
      gl_line(x + Width - 2, y + 1, x + Width - 2, y + Height - 2, BORDER_DARK);

      // fill center with Color
      gl_fillbox(x + 2, y + 2, Width - 4, Height - 4, Color);
   }
   
   Changed = false;
}
