// -*-c++-*-
/* Tetris v0.4 - Tetris game for VGA PCs running Linux
 * Copyright (C) 1995 Adam P. Jenkins
 *
 * config.h: builtin configuration options for tetris.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __config__
#define __config__

// Default game parameters and dimensions
#define FPS 50             	/* frames per second */

#define BG_COLOR 66		/* Purple */
#define BOARDWIDTH 10		/* board width in squares */
#define BOARDHEIGHT 20		/* board height in squares */
#define SQUAREWIDTH 18		/* width in pixels of each square */
#define SQUAREHEIGHT 18		/* height in pixels of each square */
#define BOARDX 150		/* screen x/y pos of upper left corner */
#define BOARDY 52

#define BUTTONWIDTH 80
#define BUTTONX (BOARDX - BUTTONWIDTH - 24)

// status display dimensions
#define STATUSWIDTH 96 
#define STATUSHEIGHT 200
#define STATUSX (BOARDX - STATUSWIDTH - 24)

// help display
#define HELPWIDTH 260
#define HELPHEIGHT 160 

#define FONTFILE LIBDIR "/8x16font"
#define FONTWIDTH 8
#define FONTHEIGHT 16

#define BG_IMAGE_FILE LIBDIR "/tree.bmp"

#endif  // __config__
