/* Tetris v0.4 - Tetris game for VGA PCs running Linux
 * Copyright (C) 1995 Adam P. Jenkins
 *
 * Button.cc: Button class member functions
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
// Button class member functions
#include <vga.h>
#include <vgagl.h>
#include <string.h>

#include "Ui.h"
#include "Button.h"

// constructors
Button::Button (int x, int y, int w, char *text, int id, int fg, int bg)
{
   X1 = x;
   Y1 = y;
   X2 = x + w;
   Y2 = y + Ui::fontHeight() + 4;
   Text = new char[strlen(text) + 1];
   strcpy(Text, text);
   Id = id;
   Fg = fg;
   Bg = bg;
   Active = false;
}

Button::Button(int x, int y, char *text, int id, int fg, int bg)
{
   X1 = x;
   Y1 = y;
   X2 = x + (strlen(text) * Ui::fontWidth()) + (2 * Ui::fontWidth());
   Y2 = y + Ui::fontHeight() + 4;
   Text = new char[strlen(text) + 1];
   strcpy(Text, text);
   Id = id;
   Fg = fg;
   Bg = bg;
   Active = false;
}

// Display button, as active or inactive depending on parameter.  Currently
// the parameter has no effect, but in the future it will
void Button::display(bool active)
{
   gl_fillbox(X1, Y1, (X2 - X1) + 1, (Y2 - Y1) + 1, Bg);
   gl_setwritemode(WRITEMODE_MASKED);

   int width = (X2 - X1) + 1;
   int startx = X1 + (width - strlen(Text) * Ui::fontWidth()) / 2;
   gl_write(startx, Y1 + 2, Text);
}




