
/* Tetris v0.4 - Tetris game for VGA PCs running Linux
 * Copyright (C) 1995 Adam P. Jenkins
 *
 * CPalette.cc: CPalette member functions.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <string.h>  // for memcpy
#include "CPalette.h"

const char CPalette::RED = 0;
const char CPalette::GREEN = 1;
const char CPalette::BLUE = 2;

void CPalette::set(CPalette& p)
{
   freePalette();
   ColorMap pal = new Color [p.Colors()];
   if (!pal) 
      return;
   
   memcpy(pal, p.Pal(), p.Size());
   VpaletteByteSize = p.Size();
   VnumColors = p.Colors();
   Vpalette = pal;
   Valloc = 1;
}


void CPalette::makeRGBPalette(void)
{
   int i;
   ColorMap pal = new Color [256];
   if (!pal) return;

   freePalette();

   for (i = 0; i < 256; i++) {
      pal[i][RED] = ((i & 192) >> 6) * (64 / 4);  // 2 bits
      pal[i][GREEN] = ((i & 56) >> 3) * (64 / 8); // 3 bits
      pal[i][BLUE] = (i & 7) * (64 / 8);          // 3 bits
   }

   Vpalette = pal;
   VpaletteByteSize = 256 * 3;
   VnumColors = 256;
   Valloc = 1;
}
