// -*-c++-*-

/* Tetris v0.4 - Tetris game for VGA PCs running Linux
 * Copyright (C) 1995 Adam P. Jenkins
 *
 * InfoBox.h: InfoBox class definition.  A class derived from DisplayBox
 *            for displaying information that stays on the screen and can 
 *            be updated.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
// A class to display information in a box
#ifndef __InfoBox__
#define __InfoBox__

#include <stdio.h>
#include <SLList.h>

#include "DisplayBox.h"

class InfoBox : public DisplayBox {
public:
   InfoBox(int x, int y, int width, int height, bool centered, 
              char *title = NULL, char *contents = NULL);
   ~InfoBox();

   void setContents(const char *const contents);
   void display() const;  // display border and contents
   void update() const;   // just redisplay contents

private:
   bool Centered;         // contents of box will be centered if true
};

#endif
