// -*-c++-*-

/* Tetris v0.4 - Tetris game for VGA PCs running Linux
 * Copyright (C) 1995 Adam P. Jenkins
 *
 * MsgBox.h: MsgBox class definition.  Derived from DisplayBox.  Used to 
 *           display messages; the user indicates when done reading it.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
// This is a class derived from DisplayBox, with the difference that it
// waits for an input from the user before continuing.

#ifndef __MsgBox__
#define __MsgBox__

#include <stdio.h>

#include "Button.h"
#include "DisplayBox.h"

class MsgBox : public DisplayBox {
public:
   MsgBox(int x, int y, int width, int height, bool centered, char *contents,
	  char *title = NULL);
   MsgBox(int x, int y, bool centered, char *contents, char *title = NULL);
   MsgBox(bool centered, char *contents, char *title = NULL);
   ~MsgBox();

   void activate() const;

private:
   bool Centered;
   Button *OkBn;

   void display() const;
};

#endif // __MsgBox__
