#include <vga.h>
#include <vgagl.h>
#include <stdlib.h>
#include "Ui.h"
#include <GetOpt.h>

#include "InfoBox.h"

int main(int argc, char **argv)
{
   GetOpt getopt(argc, argv, "x:y:w:h:t:s:m:c");
   int vgamode = G640x480x256;
   int opt;
   int width, height, x, y;
   char *title = NULL, *message;
   bool centered = false;

   message = "This is a
test of my box.
Thank you";
  
   while ((opt = getopt()) >= 0) {
      switch(opt) {
      case 'x':
         x = atoi(getopt.optarg); break;
      case 'y':
         y = atoi(getopt.optarg); break;
      case 'w':
         width = atoi(getopt.optarg); break;
      case 'h':
         height = atoi(getopt.optarg); break;
      case 'c':
         centered = true; break;
      case 't':
         title = getopt.optarg; break;
      case 's':
         message = getopt.optarg; break;
      case 'm':
         vgamode = vga_getmodenumber(getopt.optarg);
         if (vgamode < 0) {
            cerr.form("Unknown vga mode '%s'\n", getopt.optarg);
            exit(1);
         }
         break;
      case '?':
         cerr.form("%s: options are -
	 -x <box_x>
	 -y <box_y>
	 -w <width>
	 -h <height>
	 -c <centered>
	 -t <title>
	 -s <message string>
	 -m <vga mode>
	 \n", argv[0]);
	 exit(1);
      } // switch
   } // while

   if (argc < 7) {
      cerr << "Must supply enough arguments\n";
      exit(1);
   }
 
   Ui::init(vgamode);
   gl_clearscreen(66);

   InfoBox box(x, y, width, height, centered, title);
   box.setContents(message);
   box.display();

   while (vga_getkey() != 'q');

   Ui::restore();
}
