#include <iostream.h>
#include <stdlib.h>
#include <vga.h>
#include <GetOpt.h>

#include "Ui.h"
#include "MsgBox.h"
#include "Keyboard.h"
#include "Mouse.h"
#include "Colors.h"

int main(int argc, char **argv)
{
   GetOpt getopt(argc, argv, "x:y:w:h:m:cs:");
   int x = 50;
   int y = 50;
   int width = 100;
   int height = 100;
   bool centered = false;
   int vgamode = G320x200x256;
   char *message = "Hello World, from the box man";
   int opt;
   
   while ((opt = getopt()) != -1)
   {
      switch (opt)
      {
      case 'x':
         x = atoi(getopt.optarg);   
         break;
      case 'y':
         y = atoi(getopt.optarg);
         break;
      case 'w':
         width = atoi(getopt.optarg);
         break;
      case 'h':
         height = atoi(getopt.optarg);
         break;
      case 'c':
         centered = true;
         break;
      case 's':
         message = getopt.optarg;
         break;
      case 'm':
         vgamode = vga_getmodenumber(getopt.optarg);
         if (vgamode < 0)
         {
            cerr.form("%s: Unknown vgamode '%s'\n", argv[0], getopt.optarg);
            exit(1);
         }
         break;
      case '?':
         exit(1);
      }  // switch
   } // while
   
   Ui::init(vgamode);
   Keyboard::init();
   Mouse::init(Clr::BLACK, Clr::WHITE);

   MsgBox box(x, y, width, height, centered, message, "My Box");
   box.activate();

   Keyboard::restore();
   Mouse::close();
   Ui::restore();
}
