#include <iostream.h>
#include <stdio.h>
#include <GetOpt.h>
#include <vga.h>
#include "SBitmap.h"
#include "DIBImageLoader.h"
#include "CPalette.h"
#include "Ui.h"
#include "MsgBox.h"
#include "Mouse.h"
#include "Keyboard.h"
#include "Colors.h"

main(int argc, char **argv)
{
  long bmp_flags = LOAD_IMAGE|USE_RGBPALETTE;
  GetOpt getopt(argc, argv, "tv");
  int option_char;
  bool v = false;	// verbose flag

  while ((option_char = getopt ()) != EOF)
    switch (option_char)
      {
      case 't':
	bmp_flags = LOAD_IMAGE|LOAD_PALETTE; break;
      case 'v':
        v = true; break;
      case '?':
	cerr << "usage: " << argv[0] << " [t] <file>\n";
	exit(1);
      }

  argc -= getopt.optind;
  argv += getopt.optind;
  
  if (argc == 0) {
    cerr << "No filename given\n";
    exit(1);
  }

  Ui::init(G640x480x256);
  Mouse::init(Clr::BLACK, Clr::WHITE);
  Keyboard::init();

  DIBImageLoader chess;
  chess.setVerbose(v);
  if (chess.load(argv[0], bmp_flags) < 0) {
     cerr << "chess: " << chess.perror() << endl;
     vga_setmode(TEXT);
     return 1;
  }

  if (bmp_flags & LOAD_PALETTE) {
     CPalette *pal = chess.palette();
     gl_setpalettecolors(0, pal->Colors(), pal->Pal());
  }

  SBitmap pieces;
  pieces.setMap(chess);
  pieces.put(0, 0);

  Mouse::setVisible(true);

  MsgBox msg(100, 100, 200, 200, true, "Hello There Mister");
  msg.activate();

  Mouse::close();
  Keyboard::restore();
  vga_setmode(TEXT);
}
