#include <vga.h>
#include <vgagl.h>
#include <iostream.h>
#include <fstream.h>
#include <unistd.h>

#include "Board.h"
#include "Pieces.h"
#include "Ui.h"

ofstream debugf("Board.log");

int main(int argc, char **argv)
{
   debugf << "starting " << __PRETTY_FUNCTION__ << endl << flush;
   Board bored(20, 20, 20, 20, 16, 16, 92);

   debugf << "Calling Ui::init\n" << flush;
   Ui::init(G640x480x256);

   debugf << "Calling Board::placePiece\n" << flush;
   if (bored.canPlace(Pieces[0], 0, 10, 15)) 
      bored.placePiece(Pieces[0], 0, 10, 15);
   if (bored.canPlace(Pieces[1], 1, 6, 10))
      bored.placePiece(Pieces[1], 1, 6, 10);
   if (bored.canPlace(Pieces[2], 1, 2, 0))
      bored.placePiece(Pieces[2], 1, 2, 0);
   
   bored.update();
   bored.erasePiece(Pieces[2], 1, 2, 0);
   bored.update();

   while (vga_getkey() != 'q');
   Ui::restore();
}
