#include <vga.h>
#include <vgagl.h>
#include <stdio.h>
#include <stdlib.h>
#include <GetOpt.h>

#include "Square.h"

int main(int argc, char **argv)
{
   GetOpt getopt(argc, argv, "m:w:h:");
   int opt;
   int vgamode = G640x480x256;
   int width = 16;
   int height = 16;
   

   while ((opt = getopt()) != EOF) {
      switch (opt) {
      case 'm':
         vgamode = vga_getmodenumber(getopt.optarg);
         break;
      case 'w':
         width = atoi(getopt.optarg);
         break;
      case 'h':
         height = atoi(getopt.optarg);
         break;
      case '?':
         exit(1);
      }
   }
           
   Square a, b;
   Square::setHeight(height);
   Square::setWidth(width);
   Square::setBg(92);  // gray

   a.setColor(131); // red
   b.setColor(6);   // blue

   vga_init();
   vga_setmode(vgamode);
   gl_setcontextvga(vgamode);
   gl_setrgbpalette();

   a.display(10, 10);
   b.display(10, 10+height*2);
   a.setActive(true);
   b.setActive(true);
   a.display(10+width*2, 10);
   b.display(10+width*2, 10+height*2);

   getchar();
   vga_setmode(TEXT);
}
